package com.zcloud.util.absreport;


import com.zcloud.entity.PageData;
import com.zcloud.util.ReturnMap;
import org.springframework.stereotype.Component;

@Component
public class RiskReportHandler extends AbsHandlerReportExport{

    // 企业信息上报
    @Override
    public ReturnMap batchReport(PageData pageData, String now) throws Exception {
        remoteCorpService.getCorpInfo(now);
        return ReturnMap.ok();
    }
    @Override
    public void afterPropertiesSet() throws Exception {
        BatchReportFactory.register("RiskReport", this);
    }
}
